## ignition-utils1 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-utils1 VERSION 1.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.0.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
set(c++standard 17)
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

option(
  IGN_UTILS_VENDOR_CLI11
  "If true, use the vendored version of CLI11, otherwise use an external one"
  true)

#============================================================================
# Search for project-specific dependencies
#============================================================================

if(NOT IGN_UTILS_VENDOR_CLI11)
  # PKGCONFIG_IGNORE can be removed once pkg-config support in CLI11 (see
  # https://github.com/CLIUtils/CLI11/pull/523) is released
  ign_find_package(CLI11 REQUIRED_BY cli PKGCONFIG_IGNORE)
endif()

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS cli)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

=== src/CMakeLists.txt ===
ign_get_libsources_and_unittests(sources gtest_sources)

ign_create_core_library(SOURCES ${sources} CXX_STANDARD ${c++standard})

=== debian/changelog ===
ignition-utils1 (1.1.0-2~buster) buster; urgency=medium

  * ignition-utils1 1.1.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Sep 2021 21:34:49 +0200

ignition-utils1 (1.1.0-1~buster) buster; urgency=medium

  * ignition-utils1 1.1.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Sep 2021 15:49:34 +0200

ignition-utils1 (1.0.0-2~buster) buster; urgency=medium

  * ignition-utils1 1.0.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 31 Mar 2021 13:15:13 +0200

ignition-utils1 (1.0.0-1~buster) buster; urgency=medium

  * ignition-utils1 1.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 14:49:29 -0700

ignition-utils1 (1.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-utils1 1.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 12:27:34 -0700

ignition-utils1 (1.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-utils1 1.0.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 25 Feb 2021 11:42:26 -0800

=== debian/control ===
Source: ignition-utils1
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               doxygen,
               libignition-cmake2-dev (>= 2.7.0~pre1)
Vcs-Browser: https://github.com/ignitionrobotics/ign-utils-release
Vcs-Git: https://github.com/ignitionrobotics/ign-utils-release
Homepage: https://github.com/ignitionrobotics/ign-utils

Package: libignition-utils1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Replaces: libignition-utils (<< 1.0.0)
Provides: libignition-utils
Description: Ignition Robotics Utils Library - Shared library
 Provides general purpose classes and functions designed for robotic applications.
 .
 Ignition Utils provides a wide range of functionality, including:
   - A helper class to implement the PIMPL pattern
   - A command line parsing utility
   - Macros to suppress warnings

Package: libignition-utils1-dev
Architecture: any
Section: libdevel
Depends: libignition-utils1 (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.7.0~pre1),
         ${misc:Depends}
Multi-Arch: same
Replaces: libignition-utils-dev (<< 1.0.0)
Breaks: libignition-utils-dev (<< 1.0.0)
Description: Ignition Robotics Utils Library - Development files
 Provides general purpose classes and functions designed for robotic applications.
 .
 Ignition Utils provides a wide range of functionality, including:
   - A helper class to implement the PIMPL pattern
   - A command line parsing utility
   - Macros to suppress warnings

Package: libignition-utils-dev
Depends: libignition-utils1-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
  This is a transitional package. It can safely be removed.

Package: libignition-utils1-cli-dev
Architecture: any
Section: libdevel
Depends: libignition-utils1-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Utils Library - CLI Development files
 Provides general purpose classes and functions designed for robotic applications.
 .
 Ignition Utils provides a wide range of functionality, including:
   - A helper class to implement the PIMPL pattern
   - A command line parsing utility
   - Macros to suppress warnings

Package: libignition-utils1-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-utils1 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Utils Library - Debugging symbols
 Provides general purpose classes and functions designed for robotic applications.
 .
 Ignition Utils provides a wide range of functionality, including:
   - A helper class to implement the PIMPL pattern
   - A command line parsing utility
   - Macros to suppress warnings

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

.PHONY: override_dh_auto_configure \
        override_dh_strip \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_strip:
	dh_strip -a --dbg-package=libignition-utils1-dbg

override_dh_install:
	dh_install
	# remove duplicate cli files from utilsx-dev.install regexp
	cd debian/libignition-utils1-cli-dev; find . -type f -exec rm -f ../libignition-utils1-dev/{} \;
	find debian/libignition-utils1-dev -type d -empty -delete

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),armhf)
	true
else
	dh_auto_test $@ --no-parallel --buildsystem=cmake
endif

=== debian/watch ===
version=3
http://gazebosim.org/distributions/ign-utils/releases/ignition-utils-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ignition-utils1 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-utils1 VERSION 1.1.0)
+project(ignition-utils1 VERSION 1.4.0)
 
 #============================================================================
 # Find ignition-cmake

=== cli/include/CMakeLists.txt ===
# As the include headers in the source tree are not in the usual location
# to support the vendored and not vendored case, we need to manually call
# add_subdirectory of the correct directory, and
# target_include_directories(@tgt@ INTERFACE "$<BUILD_INTERFACE:@incl_dirs>")
# that for the usual include directories are handled by ign_add_component
if(IGN_UTILS_VENDOR_CLI11)
  add_subdirectory(vendored-cli/ignition/utils)
  target_include_directories(${ign_utils_cli_target_name} 
    INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/cli/include/vendored-cli>")
else()
  add_subdirectory(external-cli/ignition/utils)
  target_include_directories(${ign_utils_cli_target_name} 
    INTERFACE 
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/cli/include/external-cli>")
endif()

add_subdirectory(ignition/utils)

=== cli/src/CMakeLists.txt ===
ign_add_component(
  cli 
  INTERFACE 
  INDEPENDENT_FROM_PROJECT_LIB
  GET_TARGET_NAME ign_utils_cli_target_name)

# Make sure that the name is visible also in cli/include/CMakeLists.txt
set(ign_utils_cli_target_name ${ign_utils_cli_target_name} PARENT_SCOPE)
if(NOT IGN_UTILS_VENDOR_CLI11)
  target_link_libraries(${ign_utils_cli_target_name} INTERFACE CLI11::CLI11)
endif() 

ign_get_libsources_and_unittests(sources gtest_sources)
ign_build_tests(TYPE UNIT 
  SOURCES ${gtest_sources}
  LIB_DEPS
    ${ign_utils_cli_target_name}
)

=== debian/changelog ===
ignition-utils1 (1.4.0-4~focal) focal; urgency=medium

  * ignition-utils1 1.4.0-4 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Aug 2022 20:40:57 +0200

ignition-utils1 (1.4.0-3~focal) focal; urgency=medium

  * ignition-utils1 1.4.0-3 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Aug 2022 20:24:28 +0200

ignition-utils1 (1.4.0-2~focal) focal; urgency=medium

  * ignition-utils1 1.4.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 13:36:17 -0700

ignition-utils1 (1.4.0-1~focal) focal; urgency=medium

  * ignition-utils1 1.4.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 29 Mar 2022 09:45:40 -0500

ignition-utils1 (1.3.0-1~focal) focal; urgency=medium

  * ignition-utils1 1.3.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 24 Feb 2022 15:48:58 -0600

ignition-utils1 (1.2.0+osrf-1~focal) focal; urgency=medium

  * ignition-utils1 1.2.0+osrf-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 22 Feb 2022 21:09:06 +0100

ignition-utils1 (1.2.0-1~focal) focal; urgency=medium

  * ignition-utils1 1.2.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 28 Jan 2022 14:51:57 -0600

ignition-utils1 (1.1.0-1~focal) focal; urgency=medium

  * ignition-utils1 1.1.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Sep 2021 15:49:34 +0200

ignition-utils1 (1.0.0-1~focal) focal; urgency=medium

  * ignition-utils1 1.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 14:49:28 -0700

ignition-utils1 (1.0.0~pre2-1~focal) focal; urgency=medium

  * ignition-utils1 1.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 12:27:33 -0700

ignition-utils1 (1.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-utils1 1.0.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 25 Feb 2021 11:42:26 -0800

## ignition-utils1 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,22 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-utils1 VERSION 1.4.0)
+project(ignition-utils1 VERSION 1.5.1)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.0.0 REQUIRED)
+find_package(ignition-cmake2 2.14.0 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
 set(c++standard 17)
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/utils
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options

=== include/CMakeLists.txt ===
add_subdirectory(gz)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== test/CMakeLists.txt ===
configure_file (test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)
include_directories (
  ${PROJECT_BINARY_DIR}/include
)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_include_directories(gtest 
  SYSTEM PUBLIC
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
)

target_link_libraries(gtest_main gtest)
set_property(TARGET gtest_main PROPERTY CXX_STANDARD ${c++standard})
set_property(TARGET gtest PROPERTY CXX_STANDARD ${c++standard})
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)

#============================================================================
# Do a fake install of ign-utils in order to test the examples.
#============================================================================
set(FAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/fake/install")

file(MAKE_DIRECTORY ${FAKE_INSTALL_PREFIX})

include(ExternalProject)
ExternalProject_Add(
  FAKE_INSTALL

  SOURCE_DIR "${CMAKE_SOURCE_DIR}"
  EXCLUDE_FROM_ALL 1
  LOG_CONFIGURE 1
  LOG_BUILD 1
  LOG_INSTALL 1
  CMAKE_ARGS
    "-DBUILD_TESTING=OFF"
    "-DCMAKE_INSTALL_PREFIX=${FAKE_INSTALL_PREFIX}"
)

add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)

=== cli/include/CMakeLists.txt ===
# As the include headers in the source tree are not in the usual location
# to support the vendored and not vendored case, we need to manually call
# add_subdirectory of the correct directory, and
# target_include_directories(@tgt@ INTERFACE "$<BUILD_INTERFACE:@incl_dirs>")
# that for the usual include directories are handled by ign_add_component
if(IGN_UTILS_VENDOR_CLI11)
  add_subdirectory(vendored-cli)
  target_include_directories(${ign_utils_cli_target_name}
    INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/cli/include/vendored-cli>")
else()
  add_subdirectory(external-cli)
  target_include_directories(${ign_utils_cli_target_name}
    INTERFACE
    "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/cli/include/external-cli>")
endif()

add_subdirectory(gz/utils)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== cli/src/CMakeLists.txt ===
ign_add_component(
  cli
  INTERFACE
  INDEPENDENT_FROM_PROJECT_LIB
  GET_TARGET_NAME ign_utils_cli_target_name)

# Make sure that the name is visible also in cli/include/CMakeLists.txt
set(ign_utils_cli_target_name ${ign_utils_cli_target_name} PARENT_SCOPE)
if(NOT IGN_UTILS_VENDOR_CLI11)
  target_link_libraries(${ign_utils_cli_target_name} INTERFACE CLI11::CLI11)
endif()

ign_get_libsources_and_unittests(sources gtest_sources)
ign_build_tests(TYPE UNIT
  SOURCES ${gtest_sources}
  LIB_DEPS
    ${ign_utils_cli_target_name}
)

=== examples/using_cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-utils-cli-demo)

# Find the Gazebo Libraries used directly by the example
find_package(ignition-utils1 REQUIRED COMPONENTS cli)
set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})

add_executable(${PROJECT_NAME} main.cc)
target_link_libraries(
  ${PROJECT_NAME}
  ignition-utils${IGN_UTILS_VER}::cli
)

=== cli/include/vendored-cli/CMakeLists.txt ===
add_subdirectory(gz/utils)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== debian/changelog ===
ignition-utils1 (1.5.1-1~focal) focal; urgency=medium

  * ignition-utils1 1.5.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 15 Dec 2022 16:39:40 -0800

ignition-utils1 (1.5.0-1~focal) focal; urgency=medium

  * ignition-utils1 1.5.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 08 Dec 2022 14:29:21 -0800

ignition-utils1 (1.4.1-1~focal) focal; urgency=medium

  * ignition-utils1 1.4.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 17 No 2022 13:20:50 -0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 .PHONY: override_dh_auto_configure \
         override_dh_strip \
@@ -8,7 +6,7 @@
         override_dh_auto_test
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -27,5 +25,5 @@
 ifeq ($(DEB_HOST_ARCH),armhf)
 	true
 else
-	dh_auto_test $@ --no-parallel --buildsystem=cmake
+	dh_auto_test $@ --no-parallel
 endif

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/gazebosim/gz-utils/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz
